* {
  box-sizing: border-box;
  margin: 0px;
  padding: 0px;
}
body {
  line-height: 1.5;
  font-family:
    Calibri, Arial, "Segoe UI", Tahoma, Geneva, Verdana, Arial, sans-serif;
  background: linear-gradient(#34b9e7, yellow, #34b9e7);
}
#memB {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}
.mmB {
  direction: rtl;
  text-align: justify;
  padding: 10px;
}
.close {
  cursor: pointer;
  display: inline-block;
  width: 20px;
  font-size: 15px;
  text-align: center;
  transition:
    background-color 5s,
    border-radius 4s;
}
.close:hover {
  color: #fff;
  border-radius: 15px 15px 15px 15px;
  background-color: red;
}
.lien {
  text-decoration: none;
  color: #ffffff;
  font-weight: bold;
  display: inline-block;
  width: 60px;
  transition: background-color 3s;
}
.lien:hover {
  background-color: red;
  border-radius: 5px 5px 0px 0px;
}

#conteneur {
  max-width: 90%;
  margin: 0px auto;
  margin-top: 0px;
  box-shadow: 0.5px 3px 9px #000;
  word-wrap: break-word; /*couper les textes trop larges c'est  la césure */
}

#conteneur p,
.memB {
  padding: 10px;
  text-align: justify;
  max-width: 95%;
  margin: auto;
  background-color: #ffe1a5;
  box-shadow: 0px 3px 8px 0px rgba(0, 0, 0, 0.4);
}

h1 {
  text-align: center;
}
#nav {
  text-align: center;
  margin-top: 5px;
  margin-bottom: 4px;
}
.macktab {
  border-radius: 8px;
  border: 0px;
  width: 80px;
  height: 30px;
  color: #701706;
  background-color: #3399ff;
  font-weight: bolder;
}
nav a {
  text-decoration: none;
  color: #fff;
}
h3 {
  text-align: center;
  padding: 10px;
  background-color: #fff;
  border-radius: 25px 25px 0px 0px;
  margin: auto;
  max-width: 95%;
}

header,
footer {
  clear: left;
  text-align: center;
  box-shadow: 0.5px 3px 9px #000;
  color: #fff;
  border: 2px solid #d6e498;
  margin: auto;
  max-width: 90%;
}

footer {
  border-top: 0;
  margin-top: 0;
  margin-bottom: 1em;
  border-radius: 0px 0px 25px 25px;
  background: -webkit-linear-gradient(top, gray 0%, #7d7e7d 0%, #0e0e0e 100%);
}

header {
  margin-top: 20px;
  border-radius: 25px 25px 0px 0px;
  background: linear-gradient(
    #cce5ff,
    rgba(255, 99, 71, 0.1),
    #000,
    #3399ff,
    #34b9e7,
    #d3d3d3
  );
}

article {
  padding: 0.3em;
  overflow: hidden;
}
.put {
  background-color: #f8d7da;
  height: 35px;
  border-radius: 6px;
  width: 215px;
  font-size: 18px;
  text-align: center;
  box-shadow: 5px 10px 18px #888f88;
}
.but {
  background: linear-gradient(
    to right,
    #416,
    #fd606aba,
    #ffbe02a1,
    #f90,
    #ffbe02a1,
    #fd606aba,
    #416
  );
  height: 30px;
  border-radius: 5px;
  width: 90px;
  font-size: 18px;
  color: #000;
  cursor: pointer;
}
input:hover {
  background-color: #00ffff;
  color: green;
  box-shadow: -1px -1px 6px -6px #777;
}

#div::placeholder {
  color: #00f;
}

/* Début Fenêtre Modal */
.modal {
  display: none;
  position: fixed;
  padding-top: 150px;
  left: 0;
  top: 0;

  width: 100%;
  height: 100%;
  border: 4px solid red;
  overflow: auto;
  background-color: rgba(2, 0, 10, 0.4);
  animation-name: animatetop1;
  animation-duration: 1s;
}

/* Modal Content */
.modal-content {
  position: relative;
  background-color: #f4eeee;
  border-radius: 15px;
  width: 350px;
  margin: auto;
  border: 6px solid rgb(221, 129, 129);
  box-shadow:
    0 4px 8px 0 rgba(0, 0, 0, 0.2),
    0 6px 20px 0 rgba(0, 0, 0, 0.19);
  animation-name: animatetop;
  animation-duration: 3s;
}

#mybody p {
  text-align: center;
  width: 90%;
}

.modal-header,
.modal-footer {
  padding: 2px 16px;
  background-color: #5cb85c;
  color: white;
  text-align: center;
}

/* Add Animation */
@-webkit-keyframes animatetop {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}

@-webkit-keyframes animatetop1 {
  from {
    left: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}
/* Fin Fenêtre Modal */

h1.titre {
  text-shadow:
    -1px -1px white,
    1px 1px #333;
  color: #0cb49f;
  font-size: 40px;
}
@media only screen and (max-width: 600px) {
  #memB {
    display: flex;
    justify-content: space-between;
  }
  .memB {
    font-size: 4vw;
  }

  .but {
    background: linear-gradient(
      to right,
      #8f3008,
      #80f1beba,
      #ffbe02a1,
      #555,
      #ffbe02a1,
      #66ecc8ba,
      #ea51a0
    );
    border-radius: 5px;
    width: 50%;
    height: 40px;
    font-weight: bold;
    font-size: 3vw;
    margin-top: 4px;
    color: #fff;
    cursor: pointer;
  }

  #nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #fff;
    margin-top: 5px;
    margin-bottom: 4px;
  }
  p input {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 5px;
    margin-bottom: 4px;
  }
}
